{ config, lib, pkgs, ... }:
{
  imports = [ ../modules/snappymail.nix ];

  services.snappymail = {
    enable = true;
    hostname = "mail.home.feal.no";
  };
  services.nginx.virtualHosts."${config.services.snappymail.hostname}" = let
    certPath = "/etc/ssl-snakeoil/mail_home_feal_no";
  in {
    addSSL = true;

    sslCertificate    = "${certPath}.crt";
    sslCertificateKey = "${certPath}.key";
  };
}
